// creator  : weidu.exe (version 23100)
// argument : SARBHA01.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SARBHA01~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #65799 /* ~You don't look like one of the locals.  Are you a Child of Bhaal as well, lured here like the rest of us to face our inevitable end?~ */
  IF ~~ THEN REPLY #65800 /* ~As well?  What do you mean?~ */ GOTO 1
  IF ~~ THEN REPLY #65801 /* ~Yes, I am one of Bhaal's offspring.~ */ GOTO 1
  IF ~~ THEN REPLY #65802 /* ~No... I'm not a Bhaalspawn.  Not at all.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.1 0.0
  SAY #65803 /* ~I myself am one of Bhaal's progeny - or so I've been told.  I guess Bhaal's blood runs thicker in some of his children than in others.~ */
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Sarevok")~ THEN GOTO 2
  IF ~IsValidForPartyDialog("Jan")~ THEN EXTERN ~JAN25J~ 0
  IF ~!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Sarevok")~ THEN EXTERN ~SAREV25J~ 1
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 2 // from: SAREV25J:1.0 11.0 9.0 7.0 4.0 1.0
  SAY #65804 /* ~Uh... is there anything else I can help you with?~ */
  IF ~!Dead("gromnir")
~ THEN REPLY #65805 /* ~What can you tell me about Gromnir?~ */ GOTO 3
  IF ~~ THEN REPLY #65807 /* ~Can I ask you some questions about Melissan?~ */ GOTO 4
  IF ~~ THEN REPLY #71866 /* ~How did you get here, exactly?~ */ GOTO 8
  IF ~!Dead("gromnir")~ THEN REPLY #71869 /* ~Do you know how to get inside the castle?~ */ GOTO 10
  IF ~~ THEN REPLY #65808 /* ~No, I'll just be going now.~ */ GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #65809 /* ~I never liked Gromnir much - too unstable if you ask me.  I came to Saradush seeking sanctuary, but when he took over I decided to get as far away from him as possible.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #65810 /* ~I hadn't met her until I came to Saradush, but I had heard her name.  They said she promised to keep us Bhaalspawn safe, but it looks like we're all doomed despite her efforts.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 5 // from: 2.4
  SAY #65811 /* ~Whatever you wish.  Soon enough we shall all be dead anyway, I suspect.  The walls won't hold forever.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #67755 /* ~You are truly an odd one, gnome.  Whatever possessed you to share this bizarre story with me?~ */
  IF ~~ THEN EXTERN ~JAN25J~ 2
END

IF ~~ THEN BEGIN 7 // from: 3.0
  SAY #71713 /* ~That's not true for all of us, though.  I understand there's quite a few Bhaalspawn who he's got to fight at his side.  Some of them are pretty powerful, too.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 8 // from: 2.2
  SAY #71867 /* ~I wasn't brought here by Melissan, like some of the others.  I fled here from Sembia.  My home village was burned to the ground by a dragon who claimed to be hunting for me.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #71868 /* ~My friends... my family... they threatened to give me to the dragon if I didn't leave.  So I did.  And I heard a lot of other Bhaalspawn were coming here.  (sigh)  Now I almost wish I hadn't come.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 10 // from: 2.3
  SAY #71870 /* ~There was another child of Bhaal about here who could teleport about... but I don't know if he could take you with him.  Timid fellow, anyway... probably not the kind you're looking for.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #71871 /* ~I don't know why you'd want to get into the castle, anyway.  My advice would be to stay well away from Gromnir.  When this army gets inside the walls, he's the first thing they're going after, for sure.~ */
  IF ~~ THEN GOTO 2
END
